<html>


<head>


</head>

<body onload="getData()">

    <p></p>
    <table>
        <tr>
            <th>User Id</th>
            <th>Title</th>
            <th>Completed status</th>
        </tr>
    </table>

    <input type="button" onclick="loadData()" value="Load" />
    <script>
        const getData = async () => {
            const response = await fetch("https://jsonplaceholder.typicode.com/todos/1")
            const data = await response.json();
            const para = document.querySelector("p");
            para.innerHTML = `The user id is ${data.userId} and the title is ${data.title}`
        }


        const loadData = async () => {

            const response = await fetch("https://jsonplaceholder.typicode.com/todos")
            const data = await response.json()
            for (let i = 0; i < data.length; i++) {
                const tr = document.querySelector("table")
                tr.innerHTML = tr.innerHTML + `<tr><td>${data[i].id}</td><td>${data[i].title}</td>
            <td>${data[i].completed}</td></tr> `
            }

        }

    </script>
</body>

</html>